const parseChannel = channel => {
  const { name, id, subchannels, totalClients } = channel;
  const parsedChannel = {};

  parsedChannel.id = id;

  if (name.startsWith('[*spacer')) {
    parsedChannel.name = '_';
    parsedChannel.spacer = 'fill';
  } else if (name.startsWith('[cspacer')) {
    parsedChannel.name = name.slice(10);
    parsedChannel.spacer = 'centered';
  } else {
    parsedChannel.name = name;
    parsedChannel.spacer = 'none';
  }

  if (subchannels !== undefined) {
    parsedChannel.subchannels = subchannels.map(parseChannel);
  }

  parsedChannel.totalClients = totalClients;

  return parsedChannel;
};

const parseData = data => {
  const { channelJson, clientJson } = data;
  const clients = clientJson;

  const channels = channelJson.map(parseChannel);

  return { channels, clients };
};

export default parseData;
